beam-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Raghu Angadi (JIRA)" <>
Subject [jira] [Created] (BEAM-3620) Deprecate older Kafka clients
Date Tue, 06 Feb 2018 01:03:00 GMT
Raghu Angadi created BEAM-3620:

             Summary: Deprecate older Kafka clients
                 Key: BEAM-3620
             Project: Beam
          Issue Type: Improvement
          Components: sdk-java-extensions
    Affects Versions: 2.3.0
            Reporter: Raghu Angadi
            Assignee: Raghu Angadi
             Fix For: 2.4.0

Kafka versions 0.10.1 and above have better support for timestamps. We intend to deprecate
older versions as a first step towards dropping the support entirely.

The older versions (0.9.x and 0.10.0) at run time still work, but KafkaIO itself does not
support these at build time. It lets us remove some of the reflection based code used to support
older versions at build time. 

This message was sent by Atlassian JIRA

View raw message